<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.54</b></p>
<ul class="maxwidth">';

$ouverture = opendir("./js/");
$lecture = readdir($ouverture);
unlink ("./js/jquery-3.7.0.js");
unlink ("./js/jquery.tablesorter.js");
unlink ("./js/jquery.tablesorter.pager.js");
closedir($ouverture);
echo '<li>Suppression de la version précédente de jQuery</li>';
echo '<li>Suppression de la version précédente de jQuery Tablesorter</li>';

mysqli_query($bdd,"ALTER TABLE ".$prefix."_user MODIFY droits_spe VARCHAR(200)");
mysqli_query($bdd,"UPDATE ".$prefix."_user SET droits_spe = 'def;def;def;def;def;def;def;def;def;def;def;def;def;def;def;def;def;def;def;def'");

// Option de choix de langue (français par défaut)
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'language'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'language', 'fr', 'Option de choix de langue')");
}
echo '<li>Option de choix de langue (français par défaut).</li>';

// Option d''enregistrement synchrone du nombre d''inscrits pour affichage
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_api_nb'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_api_nb', '0', 'Option d\'enregistrement synchrone du nombre d\'inscrits pour affichage via API')");
}
echo '<li>Option d\'enregistrement synchrone du nombre d\'inscrits pour affichage via API (désactivée par défaut).</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.54' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.54.</li></ul>';
?>